Bug 1242613 - Availability Zone & Security Group Tags not honoured by Group Tag Filter
Summary: Availability Zone & Security Group Tags not honoured by Group Tag Filter
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS   
(Show other bugs)
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.4.1
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1231321
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-13 18:18 UTC by Chris Pelland
Modified: 2015-07-30 13:12 UTC (History)
10 users (show)

Fixed In Version: 5.4.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1231321
Environment:
Last Closed: 2015-07-30 13:12:35 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1511 normal SHIPPED_LIVE CFME 5.4.1 bug fixes, and enhancement update 2015-07-30 17:10:05 UTC

Comment 2 CFME Bot 2015-07-13 21:33:28 UTC
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=783371e4a30ad6b98596d263c3d2588c724be0b6

commit 783371e4a30ad6b98596d263c3d2588c724be0b6
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jul 13 17:06:28 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jul 13 17:06:28 2015 -0400

    Added classes to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    
    - Added AvailabilityZone & SecurityGroup to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    - Sorted list alphabetically
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1231321
    https://bugzilla.redhat.com/show_bug.cgi?id=1242613

 vmdb/app/models/rbac.rb | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Comment 3 CFME Bot 2015-07-13 21:33:39 UTC
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=fb6fdbe732bbf27e8ad984c6e57dec384d226f6a

commit fb6fdbe732bbf27e8ad984c6e57dec384d226f6a
Merge: 5e08de3 783371e
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Jul 13 17:32:10 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Mon Jul 13 17:32:10 2015 -0400

    Merge branch '54z_bz_1242613' into '5.4.z'
    
    Added classes to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    
    - Added AvailabilityZone & SecurityGroup to list of CLASSES_THAT_PARTICIPATE_IN_RBAC
    - Sorted list alphabetically
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1231321
    https://bugzilla.redhat.com/show_bug.cgi?id=1242613
    
    @dclarizio please review, applied clean patch from original commit.
    https://github.com/ManageIQ/manageiq/pull/3426
    
    See merge request !173

 vmdb/app/models/rbac.rb | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Comment 5 Nandini Chandra 2015-07-20 08:32:33 UTC
Verified in 5.4.1.0

Reproducer steps:
1. Assign tags to single Availability Zone & Security Group.
2. Create and edit group, assigning same tags [Assign Filters] -> [My Company Tags]
3. Add a user to the group
4. Log in with user

Verified that only tagged Availability Zones & Security Groups are shown.

Comment 7 errata-xmlrpc 2015-07-30 13:12:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1511.html


Note You need to log in before you can comment on or make changes to this bug.